package de.avatic.lcc.dto.generic;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class NodeDTO {

    private Integer id;
    private String name;
    private CountryDTO country;
    private String address;
    private List<NodeType> types;
    private LocationDTO location;

    @JsonProperty("external_mapping_id")
    private String externalMappingId;

    @JsonProperty("is_user_node")
    private Boolean isUserNode;

    @JsonProperty("is_deprecated")
    private Boolean isDeprecated;

    @JsonProperty("is_user_node")
    public Boolean getUserNode() {
        return isUserNode;
    }

    public void setUserNode(Boolean userNode) {
        isUserNode = userNode;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public CountryDTO getCountry() {
        return country;
    }

    public void setCountry(CountryDTO country) {
        this.country = country;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<NodeType> getTypes() {
        return types;
    }

    public void setTypes(List<NodeType> types) {
        this.types = types;
    }

    @JsonProperty("is_deprecated")
    public Boolean getDeprecated() {
        return isDeprecated;
    }

    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }

    public LocationDTO getLocation() {
        return location;
    }

    public void setLocation(LocationDTO location) {
        this.location = location;
    }

    public String getExternalMappingId() {
        return externalMappingId;
    }

    public void setExternalMappingId(String externalMappingId) {
        this.externalMappingId = externalMappingId;
    }
}
